Bug 126805 - USB mount points are "lost" after some time
Summary: USB mount points are "lost" after some time
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-27 13:18 UTC by Gérard Milmeister
Modified: 2014-03-17 02:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 16:04:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
USB kernel messages (3.04 KB, text/plain)
2004-06-29 08:42 UTC, Gérard Milmeister
no flags Details

Description Gérard Milmeister 2004-06-27 13:18:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.15

Description of problem:
First I had to include the line
"match hd CardReader" under "device flash"
in updfstab.conf.default for my card reader (4 slots).

Mount points are then correctly created (flash, flash1, flash2, flash3).

But after some time (hours...) some mount points are "lost", for
example flash2 and flash3. Executing, as root, updfstab restores all
the mount points.

Version-Release number of selected component (if applicable):
kudzu-1.1.68-1

How reproducible:
Sometimes

Steps to Reproduce:
1. Plugin card reader
2. Check after a few hours
3. Some mount points are missing
4. run updfstab
5. Mount points reappear

Additional info:

Comment 1 Bill Nottingham 2004-06-29 05:11:52 UTC
Are there any kernel messages relating to the device?

Comment 2 Gérard Milmeister 2004-06-29 08:42:53 UTC
Created attachment 101500 [details]
USB kernel messages

Comment 3 Gérard Milmeister 2004-06-29 08:46:33 UTC
This morning I just noticed something. The card reader is connected to
the USB hub integrated in the monitor. So when I switch off the
monitor, the hub is disconnected too! When I switch it on, all
connected USB devices will appear again to the kernel. The attachment
above reflects this. But then, the card reader devices are not
correctly handled. Could this be a timing problem?

Comment 4 Bill Nottingham 2004-06-29 18:38:54 UTC
There is a definite race... it's in bugzilla previously.

Comment 5 Matthew Miller 2005-04-26 15:39:55 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 6 Bill Nottingham 2005-04-26 16:04:10 UTC
This is now handled by HAL and fstab-sync in later releases. As such, updfstab
is unlikely to be modified.


Note You need to log in before you can comment on or make changes to this bug.